post
https://api-ss-sandbox.betprophet.co/parlay/sp/websocket/register
Register Client, support application/json, application/x-www-form-urlencoded
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Register Client
This endpoint allows you to register a client for WebSocket connections. It supports both application/json and application/x-www-form-urlencoded content types.
Request
- Method: POST
- Content Types:
application/json,application/x-www-form-urlencoded
Headers
Authorization: Bearer token required.
Include the
Bearerprefix before your access token in the Authorization header. For example:Bearer YOUR_ACCESS_TOKEN. Retrieve your access token from the/auth/loginendpoint response.
Request Body
-
application/json
socket_id(string, required): The unique identifier for the socket connection.
-
application/x-www-form-urlencoded
socket_id(string, required): The unique identifier for the socket connection.
Responses
-
200 OK
- Content Type:
application/json - Schema:
contract.RegisterWebsocketResponse - Description: Returns authentication and authorization tokens for all required channels with binding events for each channel.
- Content Type:
-
Default Error Response
- Content Type:
application/json - Schema:
common.ErrorResponse
- Content Type:
Tags
websocket
Summary
Register a B2B partner client for WebSocket connection. This endpoint returns authentication and authorization tokens for all required channels with binding events for each channel.
